#!/bin/sh
+# Add X authorization for all host names
+if xauth list | grep -Fq -- -eth; then
+ if xauth list | grep -Fq -- -wifi; then
+ # Nothing to do
+ :
+ else
+ xauth list | sed -e 's/^/add /' -e 's/-eth/-wifi/' | xauth
+ fi
+elif xauth list | grep -Fq -- -wifi; then
+ xauth list | sed -e 's/^/add /' -e 's/-wifi/-eth/' | xauth
+else
+ echo "Unknown xauth info" >&2
+ xauth list
+ exit 1
+fi
+
PATH="$PATH":/usr/games
# Set initial background
xsetroot -solid DarkCyan
-xli -border darkcyan -center -onroot -quiet -zoom auto "`$HOME/current/projects/xsetbg/print-filename.py`"
+xli -border darkcyan -center -onroot -quiet -zoom auto "`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r`"
# load .Xdefaults/.Xresources
if [ -f "$HOME"/lib/X11/.Xdefaults ]; then